package domain


type AlibabaAelophyOrderWorkCallbackWorkCallbackRequest struct {
    /*
        经营店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        业务订单编码     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        回传通知状态 ACCEPTED = 商户接单 REJECTED = 商户取消订单 PICKED = 拣货完成 PACKAGED = 打包出库 SHIPPING = 开始配送 SIGN = 用户签收 REFUSED = 用户拒收     */
    Status  *string `json:"status,omitempty" `

    /*
        状态备注, 如商户拒单原因备注     */
    StatusRemark  *string `json:"status_remark,omitempty" `

    /*
        配送人员名称 SHIPPING/SIGN状态必填     */
    DelivererName  *string `json:"deliverer_name,omitempty" `

    /*
        配送人员联系方式 SHIPPING/SIGN状态必填     */
    DelivererPhone  *string `json:"deliverer_phone,omitempty" `

    /*
        子单列表     */
    WorkCallbackSubOrderInfoList  *[]AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo `json:"work_callback_sub_order_info_list,omitempty" `

    /*
        配送公司编码 FENGNIAO = 蜂鸟 MEITUAN = 美团 DADA = 达达 SHUNFENG = 顺丰 ELEZB = 饿了么众包 BINGEX = 闪送 SELF = 商家自送 OTHER = 其他运力     */
    DelivererCompany  *string `json:"deliverer_company,omitempty" `

    /*
        配送物流单号     */
    LogisticsNo  *string `json:"logistics_no,omitempty" `

}

func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetStoreId(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetBizOrderId(v int64) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetStatus(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.Status = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetStatusRemark(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.StatusRemark = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetDelivererName(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.DelivererName = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetDelivererPhone(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.DelivererPhone = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetWorkCallbackSubOrderInfoList(v []AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.WorkCallbackSubOrderInfoList = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetDelivererCompany(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.DelivererCompany = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest) SetLogisticsNo(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackRequest {
    s.LogisticsNo = &v
    return s
}
